﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="10_LiveBindings.aspx.cs" Inherits="Website.LiveBindings" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>Client-Side Declarative Controls</title>
    <link href="Site.css" rel="stylesheet" type="text/css" />
</head>
<body xmlns:sys="javascript:Sys"
      xmlns:dataview="javascript:Sys.UI.DataView"
      sys:activate="*">
    <form id="Form1" runat="server">

    <asp:ScriptManager
        id="sm1"
        Runat="server">
        <Scripts>
            <asp:ScriptReference Path="~/Scripts/MicrosoftAjaxTemplates.js" />
        </Scripts>
    </asp:ScriptManager>

    <ul 
        class="sys-template"
        sys:attach="dataview"
        dataview:sys-key="master"
        dataView:dataSource="{{ new Sys.Data.DataSource() }}"            
        dataview:serviceuri="/MovieService.asmx"
        dataview:query="GetMovies"
        dataview:parameters="{{ {categoryId:4} }}"
        dataview:selecteditemclass="rowSelected">
        <li>
            <a href="10_LiveBindings.aspx" onclick="return false;" 
                sys:command="select">{binding Title }</a>
        </li>
    </ul>

    <br /><br />
    
    <div sys:attach="dataview" 
         dataview:data="{binding selectedData, source={{master}} }">    
        <fieldset>
         <legend>{binding Title}</legend>
            <label for="title">Title:</label>
            <input id="title" value="{binding Title}" /><br />
            <label for="director">Director:</label>
            <input id="director" value="{binding Director}" /><br />            
        </fieldset>
    </div>


    </form>
</body>
</html>
