﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="3_UpdatePanelAnim.aspx.cs" Inherits="Website.__UpdatePanelAnim" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>UpdatePanel Animation</title>
    <link href="Site.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <div>

    <asp:ScriptManager
        id="sm1"
        Runat="server">
        <Scripts>
            <asp:ScriptReference Path="~/Scripts/jquery-1.2.6.js" />
        </Scripts>
    </asp:ScriptManager>

    <script type="text/javascript">

        var prm = Sys.WebForms.PageRequestManager.getInstance();
        prm.add_beginRequest(beginRequest);
        prm.add_endRequest(endRequest);

        function beginRequest()
        {
            $("#up1").slideUp();
        }

        function endRequest()
        {
            $("#up1").slideDown();
        }
    
    </script>


    <asp:DropDownList
        id="ddlCategory"
        AutoPostBack="true"
        DataSourceID="srcCategories"
        DataTextField="Name"
        DataValueField="Id"
        Runat="server" />
    
    <asp:SqlDataSource
        id="srcCategories"
        SelectCommand="SELECT Id, Name FROM MovieCategories"
        ConnectionString="<%$ ConnectionStrings:conMovies %>"
        Runat="server" />
    
    <br /><br />

    
    <asp:UpdatePanel id="up1" runat="server">
    <Triggers>
        <asp:AsyncPostBackTrigger ControlID="ddlCategory" />
    </Triggers>
    <ContentTemplate>
        
        <asp:GridView
            id="grdMovies"
            DataSourceID="srcMovies"
            EnableViewState="false"
            Runat="server" />
        
        <asp:SqlDataSource
            id="srcMovies"
            SelectCommand="SELECT Title, Director, DateReleased 
                FROM Movies WHERE CategoryId = @CategoryId"
            ConnectionString="<%$ ConnectionStrings:conMovies %>"
            Runat="server">
            <SelectParameters>
                <asp:ControlParameter
                    Name="CategoryId"
                    ControlID="ddlCategory" />
            </SelectParameters>
        </asp:SqlDataSource>    

    
    </ContentTemplate>
    </asp:UpdatePanel>

    <br />
    Page Generated: <%= DateTime.Now.ToString("T") %>
    
    
    </div>
    </form>

</body>
</html>
