﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="5_ClientSideControls.aspx.cs" Inherits="Website.ClientSideControls" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>Client-Side Controls</title>
    <link href="Site.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <div>

    <asp:ScriptManager
        id="sm1"
        Runat="server">
        <Services>
            <asp:ServiceReference Path="~/MovieService.asmx" />
        </Services>
        <Scripts>
            <asp:ScriptReference Path="~/Scripts/MicrosoftAjaxTemplates.js" />
        </Scripts>
    </asp:ScriptManager>

    <script type="text/javascript">

        var movieView;


        function pageLoad()
        {
            movieView = $create(Sys.UI.DataView, {}, {}, {}, $get("movieBody"));
            showMovies();
            $addHandler($get("ddlCategory"), "change", showMovies);
        }


        function showMovies()
        {
            var categoryId = $get("ddlCategory").value;
            Website.MovieService.GetMovies(categoryId, showMoviesComplete);
        }


        function showMoviesComplete(data)
        {
            // var sb = new Sys.StringBuilder();
            // var row;
            // for (var i=0;i < data.length;i++)
            // {
            //    row = String.format("<tr><td>{0}</td><td>{1}</td><td>{2}</td><tr/>", data[i].Title, data[i].Director, data[i].DateReleased);
            //    sb.append(row);
            // }
            // $("#movieBody").html(sb.toString());

           movieView.set_data(data);

        }
    
    </script>


    <asp:DropDownList
        id="ddlCategory"
        DataSourceID="srcCategories"
        DataTextField="Name"
        DataValueField="Id"
        Runat="server" />
    
    <asp:SqlDataSource
        id="srcCategories"
        SelectCommand="SELECT Id, Name FROM MovieCategories"
        ConnectionString="<%$ ConnectionStrings:conMovies %>"
        Runat="server" />
    
    <br /><br />

    <table>
    <thead>
        <tr>
            <th>Title</th><th>Director</th><th>Date Released</th>
        </tr>
    </thead>
    <tbody id="movieBody" class="sys-template">
    <tr>
        <td>{{ Title }}</td>
        <td>{{ Director }}</td>
        <td>{{ DateReleased.localeFormat("D") }}</td>        
    </tr>
    </tbody>
    </table>

    <br />
    Page Generated: <%= DateTime.Now.ToString("T") %>
    
    
    </div>
    </form>

</body>
</html>
