﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="8_ClientSideDeclarative.aspx.cs" Inherits="Website.__ClientSideDeclarative" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>Client-Side Declarative Controls</title>
    <link href="Site.css" rel="stylesheet" type="text/css" />
</head>
<body xmlns:sys="javascript:Sys"
      xmlns:dataview="javascript:Sys.UI.DataView"
      sys:activate="*">
    <form runat="server">

    <asp:ScriptManager
        id="sm1"
        Runat="server">
        <Scripts>
            <asp:ScriptReference Path="~/Scripts/MicrosoftAjaxTemplates.js" />
        </Scripts>
    </asp:ScriptManager>

    <table>
    <thead>
        <tr>
            <th>Title</th><th>Director</th><th>Date Released</th>
        </tr>
    </thead>
    <tbody 
        class="sys-template"
        sys:attach="dataview"
        dataView:dataSource="{{ new Sys.Data.DataSource() }}"            
        dataview:serviceuri="/MovieService.asmx"
        dataview:query="GetMovies"
        dataview:parameters="{{ {categoryId:4} }}">
        <tr>
            <td>{{ Title }}</td>
            <td>{{ Director }}</td>
            <td>{{ DateReleased.localeFormat("D") }}</td>        
        </tr>
    </tbody>
    </table>

    </form>
</body>
</html>
